/*
   -------------------------------------------------------------------
   Program...: SETUP.PRG
   Programmer: Ken Mayer
   Date......: June, 2015

      Setup Program Routine for Sample Application "Invoice" for
	             The dBASE Book Plus
					 Chapters 4-6

   Copied from other sources and split up to appropriate
	code ...
	  
   Copyright 2015
   Ken Mayer
	Permission is granted for use for your own applications
	as long as credit is given where due.
   -------------------------------------------------------------------
*/

clear
#DEFINE AppVersion "1.00"
bRuntime = "RUNTIME" $ upper( version(1) )
_app.speedbar    := not bRuntime
_app.statusbar   := not bRuntime
#IF __version__ => 9
   _app.tabBar   := not bRuntime // 9.5!
#ENDIF
_app.useUACPaths := not bRuntime 

// set up procedures
set procedure to Invoice.mnu
set procedure to BusinessLayer.cc

// whatever else gets stuffed in here
set escape off
set century on
set epoch to 1966
set talk off

/*
   End of File: SETUP.PRG
*/

