/*
   ShowArray1.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2007. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 21
   Display the contents of a single column array. If you pass an array
   that has more than one column all elements will be displayed in the
   first column. Use ShowArray2.prg for that ...
*/

parameter oArray
if type( 'oArray' ) # "A"
   ? "Not an array object"
   return
endif
   
nLen = oArray.size
for nRow = 1 to nLen
    ? "Element "+nRow+" - "
    ?? oArray[ nRow ]  // continue, same line
next

