/*
   TestTreeView.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2012. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 14
   Runs the form Chapter14Example2.wfm, but is able to
   show the name of the file selected (if any) when
   the form was closed.
*/
set procedure to Chapter14Example2.wfm additive
local fCE
fCE = new Chapter14Example2Form()
fCE.readModal()
// no code will execute after the readModal()
// statement above, until the form is closed.

// This code will only work if the TreeView's onChange
// code was entered, as described in the book, and
// the appropriate code to create the custom property
// form.SelectedItem is in the Init method of the form:
if not empty( fCE.SelectedItem )
   ? "Selected File: "+fCE.SelectedItem
else
   ? "No file selected"
endif
// release the form file:
fCE.release()

