/*
   Age.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2012 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 21
   Contains function "Age()" ...
*/

/*
    Age( dBirthday )
    A simple function that returns the age of someone
    based on the birthday passed to it, and the current
    date.
*/
function Age( dBirth )
   local dReturn
   dReturn = ( floor( ( val( dtos( date() ) ) ;
                - val( dtos( dBirth ) ) ) / 10000 ) )
return dReturn
