/*
   Test1-2.prg
   A sample dBL Program
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2007. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 23 
   This is an example of using structures, using the Structs.cc class
   that is also in this chapter, both by Jim Sare
*/

// Test1-2.PRG
LOCAL f, xRECT, nPixWidth, nPixHeight, cText, hDC, nHeight
set procedure to Structs.CC additive
if type("DrawText") # "FP"
   extern CINT DrawText(CHANDLE, CSTRING, CINT, CPTR, CUINT) user32;
          from "DrawTextA"
endIf
   #define DT_WORDBREAK 0x0010
if type("GetClientRect") # "FP"
   extern CLOGICAL GetClientRect(CHANDLE, CPTR) user32
endIf
if type("GetDC") # "FP"
   extern CHANDLE GetDC(CHANDLE) user32
endIf
if type("LineTo") # "FP"
   extern CLOGICAL LineTo(CHANDLE, CINT, CINT) gdi32
endIf
if type("MoveToEx") # "FP"
   extern CLONG MoveToEx(CHANDLE, CINT, CINT, CPTR) gdi32
endIf
if type("ReleaseDC") # "FP"
   extern CLOGICAL ReleaseDC(CHANDLE, CHANDLE) user32
endIf
if type("SetBkMode") # "FP"
   extern CINT SetBkMode(CHANDLE, CINT) gdi32
endIf
   #define TRANSPARENT 1
   #define OPAQUE      2
f = new Form()                   // Instantiate a form
f.left = 0                       // Move it out of the way
f.Width = 50                     // Adjust width for wrap effect
f.open()                         // Make it a valid window
xRECT = new StrRECT()            // Instantiate RECT structure
GetClientRect(f.hWND, xRECT)     // Fill RECT with client dimensions
nPixWidth = xRECT.right()        // Get client area width in pixels
nPixHeight = xRECT.bottom()      // Get client area height in pixels
xRECT.left(20)
xRECT.top(20)
xRECT.right(nPixWidth - 20)
xRECT.bottom(nPixHeight - 20)
cText = "This is a simple test of the DrawText function in the " +;
        "Windows API." + chr(13) + chr(13) +;
        "Notice how these lines are wrapped within the rectangle " +;
        "specified in the RECT data structure contained in the " +;
        "character variable xRECT." + chr(13) + chr(13) +;
        "Left:   " + xRECT.left() + chr(13) +;
        "Top:    " + xRECT.top() + chr(13) +;
        "Right:  " + xRECT.right() + chr(13) +;
        "Bottom: " + xRECT.bottom() + chr(13) + chr(13) +;
        "dBASE and the Windows API are positively great fun." +;
        chr(13) + chr(13) + "That's all folks!!!"
hDC = GetDC(f.hWNDClient)       // Default device context for window
SetBkMode(hDC, TRANSPARENT)     // Text background color = form color
nHeight = DrawText(hDC, cText, -1, xRECT, DT_WORDBREAK) // Display text
MoveToEx(hDC, 20, nHeight + 20, null)// Set line starting position
LineTo(hDC, nPixWidth - 20, nHeight + 20) // Draw line
ReleaseDC(f.hWND, hDC)          // Always release DC when done with it

