/*
   FindInstanceSample.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2012. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 6 
   Example of the use of findInstance().
*/

local f, g, o

f = new MyTestForm()
f.open()
g = new MyTestForm()
g.top+= 5
g.left+= 5
g.open()

o = findInstance( "MyTestForm" )
do while not empty( o )
   o.release()
   o := findInstance( "MyTestForm", o )
enddo
try
   disp memo
catch( Exception E )
   // do nothing
endtry

class MyTestForm of FORM
endclass
