/*
   DetailSummary.prg
   A sample dBL report from 
   The dBASE Reports Book
   by Kenneth J. Mayer. 
   Program copyright 2007. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 12
   An example program to show how a grouped report can ge changed
   to one that is a summary report OR a detailed report ...
*/

set procedure to DetailSummary.rep additive
local oRep, nAns

// create an instance of the report:
oRep = new DetailSummaryReport()
// ask the user what they want to do:
nAns = msgbox( "Do you want to show a Summary only?",;
               "Please Confirm", 36 )
if nAns == 6 // Yes
   // Summary only:
   oRep.streamSource1.detailBand.visible := false
   // get the column headings:
   oRep.streamSource1.group1.headerBand.DataHeadingText2.visible := false
   oRep.streamSource1.group1.headerBand.DataHeadingText3.visible := false
   oRep.pageTemplate1.SecondaryTitleText1.text := "Summary Report"
else // user selected "No" button
   // Detail report:
   oRep.pageTemplate1.SecondaryTitleText1.text := "Detail Report"
endif

// render the report:
oRep.render()
